
QGIS Application - Bug report #3055

(OsX) cannot type "@" in the GRASS shell

2010-09-28 12:41 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13115

Description

Speaking obviously of the shell available in the QGIS GRASS plugin.

History

#1 - 2010-09-28 06:08 AM - William Kyngesburye

Works here, both OS X 10.5 and 10.6.

One thing I noticed is that after selecting the shell in the tool list, the window is not active (the cursor is a hollow rectangle) and typing anything does not

work.  After cllicking the window to activate it, I can type "@".  What doesn't work that could be a problem for non-english users is accented characters.  It

show the accent as you type like it should (ie option-e for ´), but when you type the letter next the accent disappears and it's waiting for the next keystroke.

Another thing in the GRASS shell - no copy or paste of text.

#2 - 2010-09-28 09:35 AM - Giovanni Manghi

Hi,

One thing I noticed is that after selecting the shell in the tool list, the window is not active (the cursor is a hollow rectangle) and typing anything does

not work.

we were already typing a command, so it is not the case.

After cllicking the window to activate it, I can type "@".  What doesn't work that could be a >problem for non-english users is accented characters. 

It show the accent as you type like it >should (ie option-e for ´), but when you type the letter next the accent disappears and it's >waiting for the next

keystroke.

for sure the keyboard wasn't english (pt-pt) and the hardware was a 13 inches Apple laptop (don't know how is called).

the problem has been confirmed on other Apple hardware (keyboards not US), but as I already said in other tickets, I'm just collecting OsX users feedback

as I don't own any Apple hardware.

Another thing in the GRASS shell - no copy or paste of text.

I can copy/paste under Linux with shift-ctrl-c/shift-ctrl-v
#3 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-23 09:31 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-20 03:20 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

Cannot test OsX anynmore and I can only imagine that this is not a issue anymore.
